import React from 'react';
import { AuthorRole } from "../../types";

// Описание типа для пропсов компонента
interface RolesWordProps {
  role: AuthorRole;
}

const RolesWord: React.FC<RolesWordProps> = ({ role }) => {
  const getRoleLabel = (role: string): string => {
    switch (role) {
      case 'WRITER': return 'Автор';
      case 'PHOTOGRAPHER': return 'Фотограф';
      case 'EDITOR': return 'Редактор';
      case 'TRANSLATOR': return 'Переводчик';
      default: return role;
    }
  }

  return <>{getRoleLabel(role)}</>;
};

export default RolesWord;

